Claim all exited VTXOs
curl --request POST \
--url https://api.example.com/api/v1/exits/claim/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": "<string>",
"fee_rate": 1
}
'import requests
url = "https://api.example.com/api/v1/exits/claim/all"
payload = {
"destination": "<string>",
"fee_rate": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination: '<string>', fee_rate: 1})
};
fetch('https://api.example.com/api/v1/exits/claim/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}exits
Claim all exited VTXOs
Sweeps all claimable exit outputs into a single on-chain transaction sent to the specified address. Unlike progress, the daemon does not claim automatically—this endpoint must be called manually. Poll the status endpoint or call progress and check for done: true to know when VTXOs are ready to claim. This is the final step of the emergency exit process—the bitcoin is not considered back on-chain until this transaction confirms.
POST
/
api
/
v1
/
exits
/
claim
/
all
Claim all exited VTXOs
Authorizations
Base64url-encoded auth token
Body
application/json
Response
Exit claimed successfully
Was this page helpful?
⌘I